import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_widget_from_html/flutter_widget_from_html.dart';
import 'package:login_screen/detail_screen/detail_screen4/page1.dart';
import 'package:login_screen/detail_screen/detail_screen4/page2.dart';
import 'package:login_screen/detail_screen/detail_screen4/page3.dart';

class DetailScreen4 extends StatefulWidget {

  const DetailScreen4({Key? key,}) : super(key: key);

  @override
  State<DetailScreen4> createState() => _DetailScreen4State();
}

class _DetailScreen4State extends State<DetailScreen4> {

  int _currentIndex=0;
  int _detailsIndex=0;
  List _productImage =[
    'assets/phone/2.webp',
    'assets/phone/3.webp',
    'assets/phone/4.webp',
    'assets/phone/5.webp',
    'assets/phone/6.webp',
  ];

  List<String> tabText=['Overview', 'Specification','Recommended'];

  PageController _pageController = PageController();
  @override
  Widget build(BuildContext context) {
    Size screenSize=MediaQuery.of(context).size;
    Color myColor=Colors.cyan.shade800;
    return Scaffold(

        body: CustomScrollView(
          slivers: [
            SliverAppBar(
              systemOverlayStyle: const SystemUiOverlayStyle( statusBarColor: Colors.transparent, statusBarIconBrightness: Brightness.dark),
              backgroundColor: Colors.white,
              shadowColor: Colors.white,
              expandedHeight: screenSize.height*.58,
              toolbarHeight: screenSize.height*.06,
              collapsedHeight: screenSize.height*.065,
              centerTitle: false,
              pinned: true ,
              automaticallyImplyLeading: false ,
              actions: [SizedBox(
                width: screenSize.width,
                child: Row(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.spaceAround,
                  children: [
                    IconButton(onPressed: (){}, icon: const Icon(Icons.arrow_back_ios,color: Colors.black54,)),
                    Container(
                      padding: const EdgeInsets.only(top: 4,bottom: 4),
                      color: Colors.white,
                      child: Container(
                          alignment: Alignment.center,
                          width: screenSize.width*.65,
                          margin:const EdgeInsets.all(3),
                          height: 44,
                          decoration: BoxDecoration(
                              color: Colors.white,
                              borderRadius: BorderRadius.circular(20),
                              boxShadow:  [BoxShadow(
                                  color: Colors.grey.withOpacity(.8),
                                  blurRadius: 2
                              )]
                          ),
                          child: TextFormField(
                            textInputAction: TextInputAction.search,
                            onFieldSubmitted: (text){
                              // Navigator.pushAndRemoveUntil(context, MaterialPageRoute(builder: (context)=>SearchScreen(search: text)), (route) => true);
                            },
                            decoration: const InputDecoration(
                                contentPadding: EdgeInsets.zero,
                                enabledBorder: OutlineInputBorder(
                                    borderSide: BorderSide.none
                                ),
                                focusedBorder: OutlineInputBorder(
                                    borderSide: BorderSide.none
                                ),
                                prefixIcon: Icon(Icons.search)
                            ),
                          )),
                    ),
                    IconButton(onPressed: (){}, icon: const Icon(Icons.shopping_cart,color: Colors.black54,)),
                  ],
                ),
              ),],
              flexibleSpace: Stack(
                children: [
                  Container(
                    margin:  EdgeInsets.only(top: screenSize.height*.12),
                    height: screenSize.height*.55,
                    child: FlexibleSpaceBar(
                      background: PageView.builder(
                        controller: _pageController,
                          // itemCount: _productImage.length,
                          onPageChanged: (index){
                            setState(() {
                              _currentIndex=index %_productImage.length;
                            });
                          },
                          itemBuilder: (context, index){
                            return Container(
                              alignment: Alignment.topCenter,
                                width: screenSize.width,
                                child: Image(image: AssetImage('${_productImage [index% _productImage.length]}'),)
                            );
                          }),
                    ),
                  ),
                  Positioned(
                      right:20,
                      top: screenSize.height*.53,
                      child: Container(
                        padding: const EdgeInsets.all(3),
                        decoration: BoxDecoration(
                            borderRadius: BorderRadius.circular(5),
                          color: Colors.grey.withOpacity(.3),
                        ),
                        child: Row(
                          children: [
                            Text('${_currentIndex + 1}',style: const TextStyle(
                                fontSize: 18),),
                            const Text('/',style: TextStyle(fontSize: 18),),
                            Text('${_productImage.length}',style: const TextStyle(fontSize: 18),)
                          ],
                        ),
                      ))
                ],
              ),
              bottom: PreferredSize(
                preferredSize: Size(screenSize.width,50),
                child:Container(
                  color: Colors.white,
                  alignment: Alignment.centerLeft,
                  height: 50,
                    child: ListView.builder(
                      shrinkWrap: true,
                    scrollDirection: Axis.horizontal,
                    itemCount: tabText.length,
                    itemBuilder: (context,index){
                      return GestureDetector(
                        onTap: (){
                          setState(() {
                            _detailsIndex=index;
                          });
                        },
                        child: Column(
                          children: [
                            Container(
                              padding: const EdgeInsets.only(top: 10,left: 10,right: 10),
                              child: Text(tabText[index],style: const TextStyle(fontSize: 20),),
                            ),
                            AnimatedContainer(
                                duration: const Duration(milliseconds: 100),
                                width: _detailsIndex==index? 80:1,height: 3,color: Colors.purple)
                          ],
                        ),
                      );
                    }),
              ),
            ),),
            SliverToBoxAdapter(
              child: Column(
                children: [
                  Visibility(
                    visible: _detailsIndex==0,
                    child: const DetailPage1(),
                  ),
                  Visibility(
                    visible: _detailsIndex==1,
                    child: const DetailPage2(),
                  ),
                   Visibility(
                    visible: _detailsIndex==2,
                      child: DetailPage3())
                ],
              ),

            )
          ],
        ),
        bottomNavigationBar: SizedBox(
          height: 60,
          child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceAround,
            children: [
              GestureDetector(
                onTap: (){},
                child: Container(
                    margin: const EdgeInsets.symmetric(horizontal: 5,vertical: 5),
                    alignment: Alignment.center,
                    width: screenSize.width*.15,
                    decoration:  BoxDecoration(
                      color: Colors.white,
                      border: Border.all(width: 2,color: Colors.grey.shade300),
                      borderRadius: BorderRadius.circular(10),
                    ),
                  child: const Icon(Icons.add_shopping_cart,size: 28,),
                ),
              ),
              GestureDetector(
                onTap: (){},
                child: Container(
                  margin: const EdgeInsets.symmetric(horizontal: 5,vertical: 5),
                  alignment: Alignment.center,
                    width: screenSize.width*.4,
                    decoration:  BoxDecoration(
                      color: Colors.white,
                      border: Border.all(width: 2,color: Colors.grey.shade300),
                borderRadius: BorderRadius.circular(10),                    ),
                    child: const Text('Pay with EMI',style: TextStyle(fontSize: 20,fontWeight: FontWeight.bold),)),
              ),
              GestureDetector(
                onTap: (){},
                child: Container(
                  margin: const EdgeInsets.symmetric(horizontal: 5,vertical: 5),
                  alignment: Alignment.center,
                    width: screenSize.width*.35,
                    decoration: BoxDecoration(
                        borderRadius: BorderRadius.circular(10),
                      color: Colors.yellow.shade700,
                      // border: Border.all(width: 2,color: Colors.grey.shade300),
                    ),
                    child: const Text('Buy Now',style: TextStyle(fontSize: 20,fontWeight: FontWeight.bold),)),
              ),
            ],
          ),
        )

    );
  }
}
