import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_widget_from_html/flutter_widget_from_html.dart';

class DetailPage1 extends StatefulWidget {
  const DetailPage1({super.key});

  @override
  State<DetailPage1> createState() => _DetailPage1State();
}

class _DetailPage1State extends State<DetailPage1> {

  @override
  Widget build(BuildContext context) {
    Size screenSize=MediaQuery.of(context).size;
    return Container(
      margin: const EdgeInsets.only(top: 10,left: 10,right: 10),
      padding: const EdgeInsets.only(left: 15,right: 15),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          const SizedBox(
            height: 10,
          ),
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              SizedBox(
                width: screenSize.width*.7,
                child: const Text(
                  'Realme 11 Pro 5G',
                  style: TextStyle(fontWeight: FontWeight.bold,fontSize: 18),
                ),
              ),
              const Column(
                children: [
                  Text('\$400',style: TextStyle(fontWeight: FontWeight.bold,fontSize: 18,decoration: TextDecoration.lineThrough),),
                  Text('\$349',style: TextStyle(fontWeight: FontWeight.bold,fontSize: 18),),

                ],
              )
            ],
          ),
          const SizedBox(
            height: 10,
          ),
          Container(
            padding: const EdgeInsets.symmetric(vertical: 15,horizontal: 10),
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(15),
              color: Colors.teal.shade50,
            ),
            child:   Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                const Text(
                  'Shipping:',
                  style: TextStyle(fontWeight: FontWeight.bold,fontSize: 20),
                ),
                const Padding(
                  padding: EdgeInsets.symmetric(vertical: 10.0),
                  child: Text('Contact supplier to negotiate shipping details.'),
                ),
                const Text(
                  'Payment:',
                  style: TextStyle(fontWeight: FontWeight.bold,fontSize: 20),
                ),
                const Padding(
                    padding: EdgeInsets.only(top: 10.0),
                    child: SizedBox(
                        height: 30,
                        child: Image(image: AssetImage('assets/payment/visa_mastercard_paypal.png')))
                ),
                const Text('Enjoy encripted & secure payment'),
                const SizedBox(height: 10,),
                const Text(
                  'Return & Refunds:',
                  style: TextStyle(fontWeight: FontWeight.bold,fontSize: 20),
                ),
                const Padding(
                  padding: EdgeInsets.symmetric(vertical: 10.0),
                  child: Text('Eligible for refunds within 7 days of receiving products.'),
                ),
                TextButton(onPressed: (){}, child: const Text('Conditions Apply'),
                  style: TextButton.styleFrom(
                    padding: EdgeInsets.zero,
                    tapTargetSize: MaterialTapTargetSize.shrinkWrap,
                    minimumSize: const Size(100, 10),
                  ),)

              ],
            ),
          ),
          Padding(
            padding: const EdgeInsets.symmetric(vertical: 10.0),
            child: const Text(
              'Product Description:',
              style: TextStyle(fontWeight: FontWeight.bold,fontSize: 24),
            ),
          ),
          const SizedBox(height: 10,),
          const HtmlWidget(

            '<h3>Curved Vision Display:</h3>'
                '<img src="asset:assets/phone/7.webp" width="400">'

                ' realme 11 Pro 5G smartphone has a 120 Hz curved '
                'vision display that ensures immersive display. '
                'It comes with an array of features like 2160 '
                'Hz PWM dimming, TUV Rheinland certified eye '
                'protection features, 1260 Hz Turbocharged Touch'
                ' Sampling, and 16x HyperPrecise Touch for a smooth'
                ' and hassle-free usage. The 2.33 Chin, 61-degree Precision '
                'curvature, and Doubly-reinforced Glass gives an '
                'aesthetic look and perfectly fits in your hands.'
                '<h3>OIS ProLight Camera:</h3>'
                '<img src="asset:assets/phone/9.webp" width="400">'
                'Thanks to the 100 MP OIS ProLight camera, '
                'you can capture beautiful memories with '
                'this smartphone. You can get crystal clear and '
                'detailed photos with the 100 MP Mode of the camera.'
                'You can easily capture 2x lossless zoom photos in '
                'full resolution with the 2X In-sensor Zoom of this camera '
                'which uses 12 million pixels in the centre of a 100 million'
                ' pixel sensor. The Auto-zoom, HyperShot Imaging Architecture 2.0,'
                ' and Super Group Portrait features of this camera allows '
                'you to capture creative shots like a pro.<br>'
                '<h3>Powerful Processor:</h3>'
                '<img src="asset:assets/phone/1.webp" width="400">'
                'The Dimensity 7050 5G chipset of this smartphone delivers'
                ' fast and smooth performance. The realme Pro 5G smartphone '
                'has 5G compatibility along with TUV SUD rating for 48-month '
                'system fluency, Dash Memory Engine, 6 nm technology process,'
                ' and an AnTuTu score above 550,000 which makes it a '
                'feature-packed smartphone. <br>'
                '<h3>Fast Charging:</h3>'
                '<img src="asset:assets/phone/8.webp" width="400">'
                'Equipped with a 67 W SUPERVOOC charge, this smartphone'
                ' can be charged from 0-50% in less than 18 minutes.'
                ' It has more than 38 safety protections and Intelligent '
                'Five-core Chip Protection which ensures fast charging and safety. <br>',
            textStyle: TextStyle(fontSize: 20),
          ),
          const SizedBox(
            height: 100,
          ),
        ],
      ),
    );
  }
}
